{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "/schema/frenchlocation",
  "title": "French adresse location system from https://api-adresse.data.gouv.fr/search/?q=8+bd+du+port that respect GeoCodeJSON",
  "description": "Manage properly postal adresse",
  "type": "object",
  "properties": {
    "type": {
      "title": "Type of result found, housenumber is a physical adresse, street position at street, locality: lieud it, municipality",
      "type": "string"
    },
    "housenumber":{
        "title":"number with ince bis ter A B"
    },
    "street":{
         "title":"Name of street"
    },
    "name": {
      "title": "Number plaque and street name (no town)",
      "type": "string"
    },
    "label": {
      "title": "Full address description number type of street, name of street Postal code Town name",
      "type": "string"
    },
    "postcode": {
      "title": "5 numbers french Post code",
      "pattern": "^[0-9]{5}$"
    },
    "citycode": {
      "title": "code INSEE",
      "type": "string"
    },
    "city": {
      "title": "City name",
      "type": "string"
    },
    "position": {
      "type": "object",
      "properties": {
        "latitude": {
          "type": "number",
          "minimum": -90.0,
          "maximum": 90.0
        },
        "longitude": {
          "type": "number",
          "minimum": -180.0,
          "maximum": 180.0
        }
      }
    },
    "context": {
      "title": "Contexte of this address Department number, Department Name, Region  ",
      "type": "string"
    }
  }
}
